Loading...
Searching...
No Matches
wind_2_box.c File Reference

GIS Library - Window box functions. More...

`#include <grass/gis.h>`
Include dependency graph for wind_2_box.c:

Go to the source code of this file.

## Functions

void | G_adjust_window_to_box (const struct Cell_head *src, struct Cell_head *dst, int rows, int cols)
| Adjusts window to a rectangular box.

## Detailed Description

GIS Library - Window box functions.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  1999-2014

Definition in file wind_2_box.c.

## Function Documentation

## G_adjust_window_to_box()

void G_adjust_window_to_box | ( | const struct Cell_head * | src,
|  | struct Cell_head * | dst,
|  | int | rows,
|  | int | cols )

Adjusts window to a rectangular box.

Creates a new window dst from a window src which fits into the rectangular box with dimensions rows by cols.

Parameters

  [in] | src | source window
  [in,out] | dst | destination window
  [in] | rows | number of rows in box
  [in] | cols | number of columns in box

Returns

Definition at line 30 of file wind_2_box.c.